%define name	gmencoder
%define version	0.1.1
%define release	0.cvs20040222.1mdk

Name: 	 	%{name}
Summary: 	GNOME2 audio/video encoder
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}-cvs20040222.tar.bz2
URL:		http://gmencoder.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libxml2-devel libgnomeui2-devel libgnomecanvas2-devel
BuildRequires:	gettext pkgconfig mplayer mencoder
Requires:	mplayer mencoder ffmpeg

%description
Gmencoder is a GNOME 2 frontend to mencoder. It supports several output codecs
for video and three for audio (lame, PCM, and copy). It support postprocesing,
cropping, scale, subtitles ripping, and multiple encoding passes.  Gmencoder
can process an existing video file or read a DVD on-the-fly, requiring much
less hard disk space than other video encoders. 

%prep
%setup -q -n %name

%build
%configure
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir %buildroot/%_sysconfdir
cp etc/gmencoder_opts %buildroot/%_sysconfdir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="video_section.png" needs="x11" title="Gmencoder" longtitle="Video Ripper/Encoder GUI" section="Multimedia/Video"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{_bindir}/%name
%{_datadir}/pixmaps/%name
%config(noreplace) %{_sysconfdir}/gmencoder_opts
%{_menudir}/%name

%changelog
* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 0.1.1-0.20040222.1mdk
- cvs version

* Sat Feb 14 2004 Austin Acton <austin@mandrake.org> 0.1.0-2mdk
- fix buildrequires
- rebuild

* Fri Jun 13 2003 Austin Acton <aacton@yorku.ca> 0.1.0-1mdk
- 0.1.0
- update description

* Fri May 30 2003 Austin Acton <aacton@yorku.ca> 0.0.7-2mdk
- no longer requires lame
- steal specfile from some freak at PLF

* Wed Apr 23 2003 Austin Acton <aacton@yorku.ca> 0.0.7-1plf
- 0.0.7
- update description and opt flags

* Mon Apr 7 2003 Austin Acton <aacton@yorku.ca> 0.0.6-1plf
- 0.0.6
- buildrequires mplayer and mencoder
- add sysconf file

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.0.2-1plf
- 0.0.2

* Thu Mar 27 2003 Austin Acton <aacton@yorku.ca> 0.0.1-1plf
- initial package (requires lame... for now)
- if -O2, it segfaults on startup
